<!DOCTYPE html>
<html lang="en">
<!-- Создать:  -->
<!-- 1. три массива со списками;  -->
<!-- 2. выводить каждый из списков при нажатии на тайтл (кнопку) списка; -->
<!-- 3. создать три класса с стилями; -->
<!-- 4. создать три кнопки, навешать на них события 'click', событие должно изменять привязанный класс к спискам -->
<!-- 5. (не обязательный) застилить - +1 бал за это -->
    <head>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <meta http-equiv="X-UA-Compatible" content="ie=edge">
        <title>HomeWork Vue.js - lesson 1</title>
        <style>
            .color-blue
            {
                background: #03a9f452;
                border-radius: 5px;
            }
            .color-green
            {
                background: #07f40329;
                border-radius: 5px;
            }
            .color-red
            {
                background: #f4030347;
                border-radius: 5px;
            }
            .color-grey
            {
                background: #c6c8d4ba;
                border-radius: 5px;
            }
            .list-title ,.list-color
            {
                list-style-type: none;
                text-align: center;
                margin-left: 10%;
                margin-right: 10%;
                padding: 15px;
                font-size: 24px;
            }

            .list-color li
            {
                cursor: pointer;
                display: inline;
                margin-right: 20px;
                padding: 10px;
                border-radius: 5px;
                border: 1px solid black;
                opacity: 0.4;

            }
            .list-items
            {
                list-style-type: none;
                margin-left: 10%;
                margin-right: 10%;
                padding: 15px;
                font-size: 24px;
                float: left;
                width: 80%;
            }
            .list-title li
            {
                cursor: pointer;
                display: inline;
                margin-right: 20px;
                padding: 10px;
                border-radius: 5px;
                border: 1px solid black;
                opacity: 0.4;

            }
            .list-title li:hover
            {
                opacity: 1;
            }
            .list-title li:nth-child(2n)
            {
                background: #c6c8d4ba;
            }
            .list-title li:nth-child(2n+1)
            {
                background: #2993c56b;
            }
            .active
            {
                opacity: 1!important;
            }

        </style>
    </head>
    <body>
        <div id="HomeWork">
            <ul class="list-title">
                <li v-for="(item, kk) in arList" @click="activate(item.id,kk)" :class="{ active : active_el == item.id }">{{ arList[kk].name }}</li>
            </ul>
            <ul class='list-items' :class="colorClass">
                <li v-for="(item, kk) in arList[currentListElement].items">{{ item }}</li>
            </ul>
            <ul class="list-color">
                <li type="button" v-for="bcolor in colorList" @click="colorClass=bcolor">{{ bcolor }}</li>
            </ul>
        </div>
        <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
        <script>
            let HomeWork = new Vue ({
                el: '#HomeWork',
                data:{
                    currentListElement:'list_1',
                    ListItemsColorClass:'color-grey',
                    active_el: 1,
                    colorClass:'color-grey',
                    colorList: ['color-blue','color-green','color-red','color-grey'],
                    arList :
                        {
                            list_1:{
                                id:1,
                                name:'Первый раздел',
                                items:['Yamaha F-310 (Первый раздел списка)','Hohner HC-06 (Первый раздел списка)','Cort AD-810 (Первый раздел списка)'],
                            },
                            list_2:{
                                id:2,
                                name:'Второй раздел',
                                items:['Hohner HC-06 (Второй раздел списка)','Yamaha F-310 (Второй раздел списка)','Cort AD-810 (Второй раздел списка)'],
                            },
                            list_3:{
                                id:3,
                                name:'Третий раздел',
                                items:['Cort AD-810 (Третий раздел списка)','Hohner HC-06 (Третий раздел списка)','Yamaha F-310 (Третий раздел списка)'],
                            },
                            list_4:{
                                id:4,
                                name:'Четвертый раздел',
                                items:['Hohner HC-06 (Четвертый раздел списка)','Cort AD-810 (Четвертый раздел списка)','Yamaha F-310 (Четвертый раздел списка)'],
                            },
                            list_5:{
                                id:5,
                                name:'Пятый раздел',
                                items:['Hohner HC-06 (Пятый раздел списка)','Cort AD-810 (Пятый раздел списка)','Yamaha F-310 (Пятый раздел списка)'],
                            },
                        },
                },
                methods:{
                    activate:function(active,element){
                        this.active_el = active;
                        this.currentListElement = element;
                    }
                }

            })
        </script>
    </body>
</html>